/*
	These are simple defaults for your project.
 */

world
	fps = 25		// 25 frames per second
	icon_size = 32	// 32x32 icon size by default

	view = 6		// show up to 6 tiles outward from center (13x13 view)


// Make objects move 8 pixels per tick when walking

mob
	step_size = 8

obj
	step_size = 8


mob
	icon='self.dmi'

turf/grass
	icon='turf.dmi'

mob/var/hp=100

world
	hub="TheDarkChakra.Doppelganger"

mob/Login()
	usr.loc=locate(1,1,1) //Puts user at location 1,1,1 on the map

obj/projectile
	density=1
	icon='proj.dmi'

obj/projectile/New(loc,mob/m)
	loc=loc
	src.dir=get_dir(src,m)
	while(src)
		step_to(src,m)
		sleep(1)

mob/doppelganger
mob/var/mob/doppelganger/d //defines the doppelganger's variable, "d".

obj/projectile/Bump(mob/m)
	del src

mob/verb/clone()
	usr.d=new(loc)
	usr.d.icon=usr.icon
	usr.d.name=usr.name
	usr.d.hp=usr.hp

mob/verb/delete_doppelganger().
	if(usr.d) //checks if it is your own doppelganger. If the names aren't equivalent, it is not. If it is not, then nothing will happen.
		del d

mob/verb/doppelganger_attack(mob/m in oview()) //attack outside of yourself
	if(usr.d && !(m==usr) && !(m==usr.d))
		usr.d.move(m)

mob/verb/switch_doppelganger()
	if(usr.d)
		var/dloc=usr.d.loc
		usr.d.loc=usr.loc
		usr.loc=dloc

mob/proc/death()
	if(src.hp<=0)
		del src

mob/doppelganger/proc/move(mob/m)
	while(src)
		if(get_dist(src,m)==1) {m.hp-=rand(1,10); sleep(10); m.death()}
		else if(get_dist(src,m)<=5) step_towards(src,m)
		else {continue; sleep(10)}

mob/doppelganger/proc/proj(mob/m)
	var/obj/projectile/proj=new/obj/projectile(loc,m)
	if(proj)
		proj.name="Projectile"

mob/verb/doppelganger_projectile_atack(mob/m in view())
	if(usr.d && !(m==usr) && !(m==usr.d))
		usr.d.proj(m)

mob/verb/projectile_straight_attack()
	var/dire=src.dir
	var/obj/projectilestraight/proj=new/obj/projectilestraight(loc,dire)
	if(proj)
		proj.name="Projectile"

obj/projectilestraight
	density=0
	icon='proj.dmi'

obj/projectilestraight/New(loc,dire)
	loc=loc
	var/sl
	for(sl=100,sl>0,sl--)
		walk(src,dire)
		sl--
		sleep(1)
	del src